# Return deployed cPAddons instances

This function lists an account's deployed cPAddons instances.

Endpoint: GET /cPAddons/list_addon_instances
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `addon` (string)
    The cPAddon for which to return the instances data.
    Example: "cPanel::Blogs::WordPressX"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_addon_instances"

  - `module` (string)
    The name of the module called.
    Example: "cPAddons"

  - `result` (object)

  - `result.data` (array)

  - `result.data.addon` (string)
    The name of the cPAddon in double colon-delimited form.
    Example: "cPanel::Blogs::WordPressX"

  - `result.data.domain` (string)
    The domain on which the instance is installed.
    Example: "example.com"

  - `result.data.installdir` (string)
    The full path of the directory in which the system deployed the cPAddon.
    Example: "/home/example/public_html/wordpress"

  - `result.data.instance` (string)
    The name of the instance and the number suffix.
    Example: "cPanel::Blogs::WordPressX.0"

  - `result.data.unique_id` (string)
    The unique identifier for the cPAddon.

Note:

 This identifier will not change when you change the cPAddon's settings. However, if a new instance reuses a cPaddon's instance name, the system updates the unique identifier. You can use this identifier to select a specific instance to modify. A unique identifier.
    Example: "cPanel::Blogs::WordPressX.0.1486754861"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


